Subject: Re: bug#12780: Starting emacs as a daemon, and requesting a client with -n

From: Glenn Morris <[email-masked]>
Date: Fri, 02 Nov 2012 02:54:34 -0400

Justin Wood wrote:

> For the past month or so, when compiling from the latest source, I have
> been having an issue starting Emacs as a daemon (emacs --daemon) and
> requesting a client with "emacsclient -c -n". If I include the "-n"
> option, nothing appears to happen, though, if I request a client with
> just "-c", a new frame does appear.

Thanks for the report. It works fine for me on GNU/Linux, configured
--without-dbus to match your configuration. Does it happen for you with
emacs -Q --daemon? Maybe it is Mac specific.

> In GNU Emacs 24.2.50.1 (i386-apple-darwin12.2.0, NS apple-appkit-1187.34)
>  of 2012-11-01 on ip-88.2.1.10.in-addr.arpa
> Windowing system distributor `Apple', version 10.3.1187
> Configured using:
>  `configure '--prefix=/usr/local/Cellar/emacs/HEAD' '--without-dbus'